# Poco::Net::Impl

# class IPAddressImpl

Library: Net
Package: NetCore
Header: Poco/Net/IPAddressImpl.h

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

Known Derived Classes: IPv4AddressImpl, IPv6AddressImpl

## Member Summary

Member Functions: addr, af, clone, family, isBroadcast, isGlobalMC, isIPv4Compatible, isIPv4Mapped, isLinkLocal, isLinkLocalMC, isLoopback, isMulticast, isNodeLocalMC, isOrgLocalMC, isSiteLocal, isSiteLocalMC, isWellKnownMC, isWildcard, length, mask, prefixLength, scope, toString

Inherited Functions: duplicate, referenceCount, release

## Types Aliases

### Family

using Family = AddressFamily::Family;

## Constructors

### IPAddressImpl

IPAddressImpl();

## Destructor

### ~IPAddressImpl

virtual ~IPAddressImpl();

## Member Functions

### addr

virtual const void * addr() const = 0;

### af

virtual int af() const = 0;

### clone

virtual IPAddressImpl * clone() const = 0;

### family

virtual Family family() const = 0;

### isBroadcast

virtual bool isBroadcast() const = 0;

### isGlobalMC

virtual bool isGlobalMC() const = 0;

### isIPv4Compatible

virtual bool isIPv4Compatible() const = 0;

### isIPv4Mapped

virtual bool isIPv4Mapped() const = 0;

### isLinkLocal

virtual bool isLinkLocal() const = 0;

### isLinkLocalMC

virtual bool isLinkLocalMC() const = 0;

### isLoopback

virtual bool isLoopback() const = 0;

### isMulticast

virtual bool isMulticast() const = 0;

### isNodeLocalMC

virtual bool isNodeLocalMC() const = 0;

### isOrgLocalMC

virtual bool isOrgLocalMC() const = 0;

### isSiteLocal

virtual bool isSiteLocal() const = 0;

### isSiteLocalMC

virtual bool isSiteLocalMC() const = 0;

### isWellKnownMC

virtual bool isWellKnownMC() const = 0;

### isWildcard

virtual bool isWildcard() const = 0;

### length

virtual socklen_t length() const = 0;

### mask

virtual void mask(
const IPAddressImpl * pMask,
const IPAddressImpl * pSet
) = 0;

### prefixLength

virtual unsigned prefixLength() const = 0;

### scope

virtual Poco::UInt32 scope() const = 0;

### toString

virtual std::string toString() const = 0;